<?php

namespace FiloBlu\ExtBlackbirdMenuManager\Model\ResourceModel\Group;

/**
 * Class Collection
 * @package FiloBlu\ExtBlackbirdMenuManager\Model\ResourceModel\Group
 */
class Collection extends \Magento\Customer\Model\ResourceModel\Group\Collection
{

    /**
     * Retrieve option array
     *
     * @return array
     */
    public function toOptionArray()
    {
        $groupOptions = parent::toOptionArray();
        unset($groupOptions[0]);
        array_unshift($groupOptions, ['value' => -2, 'label' => 'LOGGED IN']);
        array_unshift($groupOptions, ['value' => -1, 'label' => 'NOT LOGGED IN']);
        return $groupOptions;
    }

}
